## golang-github-segmentio-asm 1.2.0+git20231107.1cfacc8

=== Makefile ===
SHELL = /bin/bash

dstdir := $(CURDIR)
srcdir := $(CURDIR)/build

sources := $(wildcard \
	$(srcdir)/*_asm.go \
	$(srcdir)/*/*_asm.go \
)

targets := \
	$(patsubst $(srcdir)/%_asm.go,$(dstdir)/%_amd64.s,$(sources)) \
	$(patsubst $(srcdir)/%_asm.go,$(dstdir)/%_amd64.go,$(sources))

internal := $(wildcard $(srcdir)/internal/*/*.go)

build: $(targets)

count ?= 5
bench ?= .
pkg ?= ...
benchcmp:
	go test -v -run _ -count $(count) -bench $(bench) ./$(pkg) -tags purego > /tmp/bench-$(subst .,dot,$(pkg))-purego.txt
	go test -v -run _ -count $(count) -bench $(bench) ./$(pkg)              > /tmp/bench-$(subst .,dot,$(pkg))-asm.txt
	benchstat /tmp/bench-$(subst .,dot,$(pkg))-{purego,asm}.txt

$(dstdir)/%_amd64.s $(dstdir)/%_amd64.go: $(srcdir)/%_asm.go $(internal)
	cd build && go run $(patsubst $(CURDIR)/build/%,%,$<) \
		-pkg   $(notdir $(realpath $(dir $<))) \
		-out   ../$(patsubst $(CURDIR)/%,%,$(patsubst $(srcdir)/%_asm.go,$(dstdir)/%_amd64.s,$<)) \
		-stubs ../$(patsubst $(CURDIR)/%,%,$(patsubst $(srcdir)/%_asm.go,$(dstdir)/%_amd64.go,$<))
	go fmt $(dstdir)/$(*)_amd64.go

.PHONY: build benchmp

=== debian/changelog ===
golang-github-segmentio-asm (1.2.0+git20231107.1cfacc8-1) unstable; urgency=medium

  * Initial release. (Closes: #1107563)

 -- Raul Tambre <raul@tambre.ee>  Mon, 30 Jun 2025 17:21:18 +0300

=== debian/control ===
Source: golang-github-segmentio-asm
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Raul Tambre <raul@tambre.ee>
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-segmentio-asm
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-segmentio-asm.git
Homepage: https://github.com/segmentio/asm
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/segmentio/asm
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-mmcloughlin-avo-dev,
 golang-golang-x-sys-dev,

Package: golang-github-segmentio-asm-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Go library with algorithms optimized for modern CPUs
 Provides high-performance assembly implementations of various common
 algorithms for Go.

=== debian/rules ===
#!/usr/bin/make -rf
include /usr/share/dpkg/pkg-info.mk

# Upstream already ships generated assembly.
# `valid` just validates UTF-8 data, doesn't seem worth including.
export DH_GOLANG_EXCLUDES := \
	github.com/segmentio/asm/build \
	github.com/segmentio/asm/utf8/cmd/valid

%:
	dh $@ --builddirectory=_build

=== debian/watch ===
version=4
opts=mode=git https://github.com/segmentio/asm.git refs/tags/v@ANY_VERSION@

## golang-github-segmentio-asm 1.2.1

=== debian/changelog ===
golang-github-segmentio-asm (1.2.1-1) unstable; urgency=medium

  [ Raul Tambre ]
  * New upstream version 1.2.1
    - upstream has no new changes, but they tagged the latest commit so in
      Debian we can stop using a prerelease version string
  * Update debian/watch to version 5

  [ Otto Kekäläinen ]
  * Add myself as uploader to match actual situation

 -- Otto Kekäläinen <otto@debian.org>  Fri, 21 Nov 2025 21:42:13 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Raul Tambre <raul@tambre.ee>
+Uploaders:
+ Raul Tambre <raul@tambre.ee>,
+ Otto Kekäläinen <otto@debian.org>,
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-segmentio-asm
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-segmentio-asm.git
 Homepage: https://github.com/segmentio/asm
@@ -19,7 +21,8 @@
 Package: golang-github-segmentio-asm-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Go library with algorithms optimized for modern CPUs
  Provides high-performance assembly implementations of various common
  algorithms for Go.

=== debian/watch ===
Version: 5
Mode: git
Source: https://github.com/segmentio/asm.git
Matching-Pattern: refs/tags/v@ANY_VERSION@
